import { OnInit } from '@angular/core';
import { AbstractAddComponent } from '../../../../../shared/abstracts/add/abstract-add/abstract-add.component';
import { IObservationDefinition, ICodeableConcept, IPatient, IAuditEvent, ICarePlan } from '@ahryman40k/ts-fhir-types/lib/R4';
import { ModalController, AlertController } from '@ionic/angular';
import { FormGroup } from '@angular/forms';
import { TranslatePipe } from '../../../../../shared/translate/pipes/translate.pipe';
import { Category } from '../../../../models/category.model';
export declare class ObservationDefinitionAddAggregatedComponent extends AbstractAddComponent<{
    data: IObservationDefinition;
    audit: IAuditEvent;
}[]> implements OnInit {
    private modalController;
    private alertController;
    private translatePipe;
    isModal: boolean;
    patient: IPatient;
    user: any;
    careplan: ICarePlan;
    category: Category;
    careplanCode: ICodeableConcept;
    parameterCodes: ICodeableConcept[];
    allSelect: boolean;
    timeUnits: {
        value: string;
        text: string;
    }[];
    operations: {
        value: string;
        text: string;
    }[];
    alerts: {
        value: string;
        text: string;
    }[];
    editId: IObservationDefinition['id'];
    index: number;
    constructor(modalController: ModalController, alertController: AlertController, translatePipe: TranslatePipe);
    ngOnInit(): void;
    setCategoryValues(): void;
    addAllSelect(): void;
    setFormValue(): void;
    resetForm(): FormGroup;
    close(data?: {
        data: IObservationDefinition;
        audit: IAuditEvent;
    }[]): void;
    convertToIObservationDef(data: any, index: number): IObservationDefinition;
    add(data: any): void;
    selectChange(event: {
        detail: {
            value: ICodeableConcept;
        };
    }): void;
    convertToForm(data: IObservationDefinition): void;
    openAlert(data?: any): Promise<void>;
    createAuditEvent(data: IObservationDefinition): IAuditEvent;
}
